> For the complete documentation index, see [llms.txt](https://docs.boii.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boii.dev/fivem-free-resources/bdsc/api/utility.md).

# Utility

BDSC includes a small set of shared utility functions to support logging, translation, and time formatting. \
\
These functions are available globally under the `bdsc` namespace and work in both server and client environments.

They are intentionally minimal, with no external dependencies or unnecessary abstraction.

***

## get\_current\_time

Returns the current system time as a formatted string.

#### Returns

* `string`

```lua
bdsc.get_current_time()
```

***

## log

Prints a debug message to the console if `bdsc.debug_mode` is enabled.\
Supports standard log levels for easier development debugging.

#### Parameters

* level: `string`
* message: `string`

```lua
bdsc.log(level, message)
```

***

## translate

Retrieves a translation string by key and applies optional formatting arguments.\
Falls back to key and values if translation is missing.

#### Parameters

* key: `string`&#x20;
* ...: `any`&#x20;

#### Returns

* `string`

```lua
bdsc.translate(key, ...)
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boii.dev/fivem-free-resources/bdsc/api/utility.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
